Bug 8478 - Missing timezone translations in KDE 4 and Plasma 5
: Missing timezone translations in KDE 4 and Plasma 5
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: VictorR2007
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-11 13:36 MSK by Andrey Bondrov
Modified: 2017-11-15 15:23 MSK (History)
1 user (show)

See Also:
RPM Package: kdelibs4, kdelibs4support
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
Файл kdelibs4support.po (349.55 KB, text/x-gettext-translation)
2017-11-11 19:47 MSK, VictorR2007
Details
Файл timezones4.po (123.94 KB, text/x-gettext-translation)
2017-11-11 19:48 MSK, VictorR2007
Details
ss (157.53 KB, image/jpeg)
2017-11-14 18:06 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2017-11-11 13:36:04 MSK
kdecore/date/TIMEZONES (kdelibs4) and src/kdecore/TIMEZONES (kdelibs4support) were not updated in upstream for years. So we have many missing translation strings for timezones.

How to update TIMEZONES file:

1. Enter kdecore/date directory in kdelibs4 source tree
2. Run "./scoop-tzones.py TIMEZONES" there

After that .pot file can be updated in a usual way.
Comment 1 Andrey Bondrov 2017-11-11 13:36:37 MSK
Victor, please take a look.
Comment 2 VictorR2007 2017-11-11 15:17:03 MSK
Ага, сейчас сделаю. Пока создал два файла, kdelibs4support.po и timezones4.po. Но там несложно, и когда один будет закончен, то во второй останется вбить готовые строки. Всего добавилось 177 строк. Постараюсь сегодня закончить. Немного занят сборкой frameworks 5.40.0, но осталось 12 пакетов.
Comment 3 VictorR2007 2017-11-11 19:47:18 MSK
Created attachment 4758 [details]
Файл kdelibs4support.po

Файл kdelibs4support.po. Андрей, ты ничего не сказал про сборку, так что ложу сюда. Да и не до сборки уже сегодня.
Comment 4 VictorR2007 2017-11-11 19:48:13 MSK
Created attachment 4759 [details]
Файл timezones4.po

Файл timezones4.po
Comment 5 Andrey Bondrov 2017-11-12 08:25:00 MSK
Advisory: "Update Russian translations for timezones from kdelibs4support to fix issues in Plasma 5"

https://abf.rosalinux.ru/build_lists/2912331
https://abf.rosalinux.ru/build_lists/2912332
Comment 6 Andrey Bondrov 2017-11-13 19:17:41 MSK
Advisory: "Update Russian translations for timezones from kde-l10n to fix issues in KDE 4"

rosa2016.1:
https://abf.rosalinux.ru/build_lists/2912410
https://abf.rosalinux.ru/build_lists/2912411

rosa2014.1:
https://abf.rosalinux.ru/build_lists/2912412
https://abf.rosalinux.ru/build_lists/2912413
Comment 7 Vladimir Potapov 2017-11-14 18:06:14 MSK
Created attachment 4762 [details]
ss
Comment 8 Vladimir Potapov 2017-11-14 19:03:39 MSK
kdelibs4support-5.38.0-2
https://abf.rosalinux.ru/build_lists/2912331
https://abf.rosalinux.ru/build_lists/2912332


kde-l10n-4.14.3-17
rosa2016.1:
https://abf.rosalinux.ru/build_lists/2912410
https://abf.rosalinux.ru/build_lists/2912411

rosa2014.1:
https://abf.rosalinux.ru/build_lists/2912412
https://abf.rosalinux.ru/build_lists/2912413
***************************** Advisory ***************************
Update Russian translations for timezones from kdelibs4support to fix issues in Plasma 5. Update Russian translations for timezones from kde-l10n to fix issues in KDE 4
******************************************************************
QA Verified
Comment 9 Andrey Bondrov 2017-11-14 19:07:43 MSK
(In reply to comment #7)
> Created attachment 4762 [details]
> ss

Advisory: "Update Russian translations for timezones from drakxtools to fix issues in installer"

rosa2016.1:
https://abf.rosalinux.ru/build_lists/2912784
https://abf.rosalinux.ru/build_lists/2912785

rosa2014.1:
https://abf.rosalinux.ru/build_lists/2912786
https://abf.rosalinux.ru/build_lists/2912787
Comment 10 Vladimir Potapov 2017-11-15 12:50:41 MSK
(In reply to comment #9)
> (In reply to comment #7)
> > Created attachment 4762 [details]
> > ss
> 
> Advisory: "Update Russian translations for timezones from drakxtools to fix
> issues in installer"
> 
> rosa2016.1:
> https://abf.rosalinux.ru/build_lists/2912784
> https://abf.rosalinux.ru/build_lists/2912785
> 
> rosa2014.1:
> https://abf.rosalinux.ru/build_lists/2912786
> https://abf.rosalinux.ru/build_lists/2912787
Единственное, что смущает  - есть "Другое" и есть "etc."
Почему они не в один раздел попадают?
Comment 11 Andrey Bondrov 2017-11-15 13:30:31 MSK
(In reply to comment #10)
> Единственное, что смущает  - есть "Другое" и есть "etc."
> Почему они не в один раздел попадают?

Генератор часовых поясов автоматически формирует файл, в котором для большинства поясов указывается раздел (Asia/, Etc/ и т.д.), но для некоторых раздел отсутствует. Они и попадают в "Другое".
Comment 12 Vladimir Potapov 2017-11-15 14:59:41 MSK
drakxtools-14.78-1
rosa2016.1:
https://abf.rosalinux.ru/build_lists/2912784
https://abf.rosalinux.ru/build_lists/2912785

rosa2014.1:
https://abf.rosalinux.ru/build_lists/2912786
https://abf.rosalinux.ru/build_lists/2912787
******************************* Advisory ******************************
Update Russian translations for timezones from drakxtools to fix issues in installer
***********************************************************************
QA Verified